summaryrefslogtreecommitdiffstats
path: root/source/x/scim-anthy
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/scim-anthy')
-rwxr-xr-xsource/x/scim-anthy/scim-anthy.SlackBuild113
-rw-r--r--source/x/scim-anthy/scim-anthy.gcc43.diff60
-rw-r--r--source/x/scim-anthy/slack-desc19
3 files changed, 192 insertions, 0 deletions
diff --git a/source/x/scim-anthy/scim-anthy.SlackBuild b/source/x/scim-anthy/scim-anthy.SlackBuild
new file mode 100755
index 000000000..368506355
--- /dev/null
+++ b/source/x/scim-anthy/scim-anthy.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: scim-anthy
+# Descr: a SCIM IMEngine module for anthy
+# URL: http://scim-imengine.sourceforge.jp/
+#
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=scim-anthy
+VERSION=${VERSION:-1.2.4}
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar -xvf $CWD/${PRGNAM}-${VERSION}.tar.gz || exit 1
+cd ${PRGNAM}-${VERSION} || exit 1
+
+zcat $CWD/scim-anthy.gcc43.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo Building ...
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --disable-static \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make DESTDIR=$PKG install || exit 1
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/source/x/scim-anthy/scim-anthy.gcc43.diff b/source/x/scim-anthy/scim-anthy.gcc43.diff
new file mode 100644
index 000000000..14606dd7d
--- /dev/null
+++ b/source/x/scim-anthy/scim-anthy.gcc43.diff
@@ -0,0 +1,60 @@
+diff -u -r scim-anthy-1.2.4.orig/src/scim_anthy_kana.cpp scim-anthy-1.2.4/src/scim_anthy_kana.cpp
+--- scim-anthy-1.2.4.orig/src/scim_anthy_kana.cpp 2006-07-13 02:41:51.000000000 -0500
++++ scim-anthy-1.2.4/src/scim_anthy_kana.cpp 2009-06-09 20:40:41.000000000 -0500
+@@ -23,6 +23,8 @@
+ #include "scim_anthy_default_tables.h"
+ #include "scim_anthy_utils.h"
+
++#include <cstring>
++
+ using namespace scim_anthy;
+
+ static bool
+diff -u -r scim-anthy-1.2.4.orig/src/scim_anthy_preedit.cpp scim-anthy-1.2.4/src/scim_anthy_preedit.cpp
+--- scim-anthy-1.2.4.orig/src/scim_anthy_preedit.cpp 2006-07-23 20:56:00.000000000 -0500
++++ scim-anthy-1.2.4/src/scim_anthy_preedit.cpp 2009-06-09 20:41:03.000000000 -0500
+@@ -26,6 +26,8 @@
+ #include "scim_anthy_preedit.h"
+ #include "scim_anthy_utils.h"
+
++#include <cstring>
++
+ using namespace scim_anthy;
+
+ static ConvRule *get_period_rule (TypingMethod method,
+diff -u -r scim-anthy-1.2.4.orig/src/scim_anthy_prefs.cpp scim-anthy-1.2.4/src/scim_anthy_prefs.cpp
+--- scim-anthy-1.2.4.orig/src/scim_anthy_prefs.cpp 2006-07-23 20:56:00.000000000 -0500
++++ scim-anthy-1.2.4/src/scim_anthy_prefs.cpp 2009-06-09 20:41:40.000000000 -0500
+@@ -23,6 +23,8 @@
+ #include "scim_anthy_prefs.h"
+ #include "scim_anthy_intl.h"
+
++#include <cstring>
++
+ namespace scim_anthy {
+
+ BoolConfigData config_bool_common [] =
+diff -u -r scim-anthy-1.2.4.orig/src/scim_anthy_setup.cpp scim-anthy-1.2.4/src/scim_anthy_setup.cpp
+--- scim-anthy-1.2.4.orig/src/scim_anthy_setup.cpp 2007-05-21 03:22:20.000000000 -0500
++++ scim-anthy-1.2.4/src/scim_anthy_setup.cpp 2009-06-09 20:42:01.000000000 -0500
+@@ -30,6 +30,8 @@
+ #include <gtk/gtk.h>
+ #include <gdk/gdkkeysyms.h>
+
++#include <cstring>
++
+ #define Uses_SCIM_CONFIG_BASE
+ #define Uses_SCIM_EVENT
+ #define SCIM_ANTHY_USE_GTK
+diff -u -r scim-anthy-1.2.4.orig/src/scim_anthy_utils.cpp scim-anthy-1.2.4/src/scim_anthy_utils.cpp
+--- scim-anthy-1.2.4.orig/src/scim_anthy_utils.cpp 2007-03-28 02:42:10.000000000 -0500
++++ scim-anthy-1.2.4/src/scim_anthy_utils.cpp 2009-06-09 20:41:22.000000000 -0500
+@@ -24,6 +24,8 @@
+ #include "scim_anthy_utils.h"
+ #include "scim_anthy_default_tables.h"
+
++#include <cstring>
++
+ namespace scim_anthy {
+
+ bool
diff --git a/source/x/scim-anthy/slack-desc b/source/x/scim-anthy/slack-desc
new file mode 100644
index 000000000..bb7bad771
--- /dev/null
+++ b/source/x/scim-anthy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scim-anthy: scim-anthy (a SCIM IMEngine module for anthy)
+scim-anthy:
+scim-anthy: SCIM is Smart Common Input Method platform, it provides a user
+scim-anthy: friendly and full featured user interface and development platform to
+scim-anthy: make input method developer's lives easier. Anthy is a system for
+scim-anthy: Japanese input method. It converts Hiragana text to Kana Kanji
+scim-anthy: mixed text.
+scim-anthy:
+scim-anthy: scim-anthy home: http://scim-imengine.sourceforge.jp/
+scim-anthy:
+scim-anthy: